aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Author Topic: Debian cvs package crashes in Ubuntu  (Read 3116 times)

at2000

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 5
Debian cvs package crashes in Ubuntu
« on: July 28, 2005, 05:47:52 PM »

I've no idea whether it is related to the C++ toolchain transition, which has been done in Ubuntu but not Debian. I suspect this because I see the like "libstdc++-5 (>= 1:3.3.4-1)" in Depends, while it also says "libgcc1 (>= 1:4.0.0-9)". I think a correct one should depend on libstdc++-6, right?

I don't want to use the one in Ubuntu because it builds on libwxgtk2.4, which is still using gtk1.


sltam@beech:~$ amule
Initialising aMule
Checking if there is an instance already running...

--------------------------------------------------------------------------------
A fatal error has occurred and aMule has crashed.
Please assist us in fixing this problem by posting the backtrace below in our
'aMule Crashes' forum and include as much information as possible regarding the
circumstances of this crash. The forum is located here:
    http://forum.amule.org/board.php?boardid=67
If possible, please try to generate a real backtrace of this crash:
    http://www.amule.org/wiki/index.php/Backtraces

----------------------------=| BACKTRACE FOLLOWS: |=----------------------------
Current version is: aMule CVS using wxGTK2 v2.6.1 (Unicoded) (Snapshot: Thu Jul 28 07:02:04 CEST 2005)
Running on: Linux 2.6.12-4-686 i686

[2] wxFatalSignalHandler in /usr/lib/libwx_baseu-2.6.so.0[0xb79fb258]
[3] ?? in [0xffffe420]
[4] _ZN9__gnu_cxx6__poolILb1EE16_M_reclaim_blockEPcj+0x91) [0xb6abb3b1] in /usr/lib/libstdc++.so.6[0xb6abb3b1]
[5] ?? in /usr/lib/libstdc++.so.6 [0xb6abba82]
[6] _ZNSs4_Rep10_M_destroyERKSaIcE+0x38) [0xb6b0a048] in /usr/lib/libstdc++.so.6[0xb6b0a048]
[7] _ZNSsD1Ev+0x101) [0xb6b0bf31] in /usr/lib/libstdc++.so.6[0xb6b0bf31]
[8] ?? in /usr/lib/libscim-1.0.so.0 [0xb6ba6beb]
[9] scim::scim_get_module_list(std::vector >&, std::string const&) in /usr/lib/libscim-1.0.so.0[0xb6ba7314]
[10] scim::scim_get_imengine_module_list(std::vector >&) in /usr/lib/libscim-1.0.so.0[0xb6ba1e26]
[11] ?? in /usr/lib/gtk-2.0/2.4.0/immodules/im-scim.so [0xb6c14fa8]
[12] g_type_class_ref in /usr/lib/libgobject-2.0.so.0[0xb7227355]
[13] g_object_newv in /usr/lib/libgobject-2.0.so.0[0xb720e4a0]
[14] g_object_new_valist in /usr/lib/libgobject-2.0.so.0[0xb720e8ae]
[15] g_object_new in /usr/lib/libgobject-2.0.so.0[0xb720ea57]
[16] gtk_im_context_scim_new() in /usr/lib/gtk-2.0/2.4.0/immodules/im-scim.so[0xb6c0e1d3]
[17] im_module_create in /usr/lib/gtk-2.0/2.4.0/immodules/im-scim.so[0xb6c1b420]
[18] _gtk_im_module_create in /usr/lib/libgtk-x11-2.0.so.0[0xb7455006]
[19] ?? in /usr/lib/libgtk-x11-2.0.so.0 [0xb745583a]
[20] ?? in /usr/lib/libgtk-x11-2.0.so.0 [0xb7455b36]
[21] gtk_im_context_set_use_preedit in /usr/lib/libgtk-x11-2.0.so.0[0xb74538ab]
[22] wxWindow::PostCreation() in /usr/lib/libwx_gtk2u_core-2.6.so.0[0xb7b99dcd]
[23] wxTopLevelWindowGTK::Create(wxWindow*, int, wxString const&, wxPoint const&, wxSize const&, long, wxString const&) in /usr/lib/libwx_gtk2u_core-2.6.so.0[0xb7b92091]
[24] wxFrame::Create(wxWindow*, int, wxString const&, wxPoint const&, wxSize const&, long, wxString const&) in /usr/lib/libwx_gtk2u_core-2.6.so.0[0xb7bed143]
[25] wxFrameBase::PositionToolBar() in amule [0x80869e2]
[26] wxDataObjectSimple::SetData(wxDataFormat const&, unsigned int, void const*) in amule [0x807f529]
[27] wxStringTokenizer::~wxStringTokenizer() in amule [0x807b6a1]
[28] wxStringTokenizer::~wxStringTokenizer() in amule [0x807b7db]
[29] wxStringBase::wxStringBase(wxStringBase const&) in amule [0x80717f9]
[30] wxStringTokenizer::~wxStringTokenizer() in amule [0x807b9aa]
[31] wxAppConsole::CallOnInit() in amule[0x80781f4]
[32] wxEntry(int&, wchar_t**) in /usr/lib/libwx_baseu-2.6.so.0[0xb799ac90]
[33] wxEntry(int&, char**) in /usr/lib/libwx_baseu-2.6.so.0[0xb799ad8d]
[34] wxStringTokenizer::~wxStringTokenizer() in amule [0x807b260]
[35] __libc_start_main in /lib/tls/i686/cmov/libc.so.6[0xb7719e8a]
[36] ?? in amule [0x8066c81]

--------------------------------------------------------------------------------
Aborted
sltam@beech:~$
Logged
Regards,
Alan

Vollstrecker

  • Administrator
  • Hero Member
  • *****
  • Karma: 65
  • Offline Offline
  • Posts: 1482
  • Unofficial Debian Packager
    • http://vollstreckernet.de
Re: Debian cvs package crashes in Ubuntu
« Reply #1 on: July 28, 2005, 08:38:48 PM »

You're right. Some libs are not compiled with gcc-4.0, and so the pkg's are, too. That's why that are packages for DEBIAN TESTING that maybe work on DEBIAN sid. Ubuntu caused several problems, and if you're not going to provide me a ssh access, a cronjob, the necessary build environment and disk space on an ubuntu machine, then stop complaining when it doesn't work on ubuntu, because there not build for ubuntu, they are build for the real DEBIAN.
Logged
Homefucking is killing prostitution

at2000

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 5
Re: Debian cvs package crashes in Ubuntu
« Reply #2 on: July 29, 2005, 04:29:42 AM »

I see, then probably I should try to compile it myself. Compiling by you has not much difference than doing it myself. The major problem is I need to find 2GB of free space.  ;(

FYI, debian is in the process of transition as well. I wonder when you will get a build for the new ABI.

Thanks!
Logged
Regards,
Alan

at2000

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 5
Re: Debian cvs package crashes in Ubuntu
« Reply #3 on: July 29, 2005, 04:53:23 AM »

FYI, I just freed up 2GB of space and successfully compiled my own copy (version 2.0.3-1 from Ubuntu) which worked.
Logged
Regards,
Alan

thedude0001

  • evil bugfinder ;)
  • Hero Member
  • *****
  • Karma: 6
  • Offline Offline
  • Posts: 829
Re: Debian cvs package crashes in Ubuntu
« Reply #4 on: July 29, 2005, 11:14:45 AM »

2 GB hdd space? Why? Building amule definitely doesn't take that much space, the box i build my Debian packages on only has a 1.2 gb hdd ;)
Logged
Das Schlimme auf dieser Welt ist
daß die Dummen so selbstsicher sind
und die Gescheiten so voller Zweifel.

Vollstrecker

  • Administrator
  • Hero Member
  • *****
  • Karma: 65
  • Offline Offline
  • Posts: 1482
  • Unofficial Debian Packager
    • http://vollstreckernet.de
Re: Debian cvs package crashes in Ubuntu
« Reply #5 on: July 29, 2005, 11:36:34 AM »

at2000: I know that debian is in transition, but it hasn't reached testing yet, so there is no need to do something. I am prepared to transist, its only one command and I build with gcc-4.0.
Logged
Homefucking is killing prostitution

at2000

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 5
Re: Debian cvs package crashes in Ubuntu
« Reply #6 on: July 29, 2005, 12:17:07 PM »

Quote
2 GB hdd space? Why? Building amule definitely doesn't take that much space, the box i build my Debian packages on only has a 1.2 gb hdd ;)

Because I need to build wxwidgets as well.


Quote
I know that debian is in transition, but it hasn't reached testing yet, so there is no need to do something. I am prepared to transist, its only one command and I build with gcc-4.0.

I feel okay with that.
« Last Edit: July 29, 2005, 12:17:55 PM by at2000 »
Logged
Regards,
Alan

thedude0001

  • evil bugfinder ;)
  • Hero Member
  • *****
  • Karma: 6
  • Offline Offline
  • Posts: 829
Re: Debian cvs package crashes in Ubuntu
« Reply #7 on: July 29, 2005, 12:52:26 PM »

Quote
Originally posted by at2000
Because I need to build wxwidgets as well.

Hmm, same here, that's the box i build my wxwidgets 2.6 and amule packages on... Well, nevermind, I was just curious :)
Logged
Das Schlimme auf dieser Welt ist
daß die Dummen so selbstsicher sind
und die Gescheiten so voller Zweifel.

at2000

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 5
Re: Debian cvs package crashes in Ubuntu
« Reply #8 on: July 29, 2005, 04:58:33 PM »

Quote
Originally posted by thedude0001
Hmm, same here, that's the box i build my wxwidgets 2.6 and amule packages on... Well, nevermind, I was just curious :)

I also wonder why. After "dpkg-buildpackage" for wxwidgets, "du -H" shows 2.0GB for the source directory. However, amule only needs around 50MB.
Logged
Regards,
Alan

Merinos

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 7
    • http://share-spirit.easy-rpm.net
Re: Debian cvs package crashes in Ubuntu
« Reply #9 on: July 30, 2005, 12:04:03 PM »

Quote
Originally posted by Vollstrecker
That's why that are packages for DEBIAN TESTING that maybe work on DEBIAN sid.

It's not maybe for SID, it works perfectely. I use your .deb on a debian unstable and all is good. And many thanks for your packages  and also to the amule team :baby:
Logged